
# NOTE: This is not executed for scripts that are run from the "Editor Actions" (wrench) menu

def _reset_modules():
	import os, sys
	doc_path = os.path.expanduser('~/Documents')
	site_packages_path = os.path.expanduser('~/Documents/site-packages')
	for name in sys.modules.keys():
		if name.startswith('__') or name == 'pythonista_startup':
			continue
		mod = sys.modules[name]
		if hasattr(mod, '__name__') and mod.__name__ == 'matplotlib.pyplot':
			try: mod.clf()
			except: pass
		if hasattr(mod, '__file__'):
			mod_path = mod.__file__
			if mod_path.startswith(site_packages_path):
				continue
			if (mod_path.startswith('./') or mod_path.startswith(doc_path)):
				del sys.modules[name]

def _clear_globals(keep=[]):
	for name in globals().keys():
		if name.startswith('__') or name in keep:
			continue
		del globals()[name]

def main():
	try:
		import pythonista_startup
		keep = dir(pythonista_startup)
	except:
		keep = []
	try:
		_reset_modules()
		_clear_globals(keep)
	except:
		pass

if __name__ == '__main__':
	main()
